Subject: [Pana] issue 38 (resolution)

From: Yoshihiro Ohba <[email-masked]>
Date: Tue, 27 Jan 2004 11:02:26 -0800

In section 4.1.6, change:

   "When a MAC AVP is included in a PANA message, the value field of the
   MAC AVP is calculated by using the PANA_MAC_Key in the following way:
                                                                                
      MAC AVP value = HMAC_SHA1(PANA_MAC_Key, PANA_PDU)
                                                                                
   where PANA_PDU is the PANA message including the PANA header, with
   the MAC AVP value field first initialized to 0."
                                                                                
to:

   "When a MAC AVP is included in a PANA message, the value field of the
   MAC AVP is calculated by using the PANA_MAC_Key in the following way:
                                                                                
      MAC AVP value = PANA_MAC_PRF(PANA_MAC_Key, PANA_PDU)
                                                                                
   where PANA_PDU is the PANA message including the PANA header, with
   the MAC AVP value field first initialized to 0.  PANA_MAC_PRF
   represents the pseudo random function corresponding to the MAC
   algorithm specified in the MAC AVP.  In this version of draft,
   PANA_MAC_PRF is HMAC-SHA1.  The PaC and PAA MUST use the same
   algorithm to calculate a MAC AVP they originate and receive.  The
   algorithm is determined by the PAA when a PANA-Bind-Request with a
   MAC AVP is sent.  When the PaC does not support the MAC algorithm
   specified in the PANA-Bind-Request message, it MUST silently
   discard the message.  The PAA MUST NOT change the MAC algorithm
   throughout the continuation of the PANA session."

In section 9.4.1, change:

"  Algorithm

         1              HMAC-MD5 (16 bytes)
         2              HMAC-SHA1 (20 bytes)"

to:

"  Algorithm

         1              HMAC-SHA1 (20 bytes)"

Yoshihiro Ohba

_______________________________________________
Pana mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pana